### Virtual Method

# Gtk TextBufferinsert_text

#### Declaration [src]

    void
    insert_text (
      GtkTextBuffer* buffer,
      GtkTextIter* pos,
      const char* new_text,
      int new_text_length
    )

#### Description [src]

The class handler for the `GtkTextBuffer::insert-text` signal.

#### Parameters

`pos`

  Type: `GtkTextIter`

  No description available.

  The data is owned by the caller of the function.

`new_text`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`new_text_length`

  Type: `int`

  No description available.